Class | Sequel::SQL::Function
In: | lib/sequel/sql.rb
Parent: | GenericExpression

Represents an SQL function call.

### Methods

== new

### Attributes

args | [R] | The array of arguments to pass to the function (may be blank)
f | [R] | The SQL function to call

### Public Class methods

new(f, *args)

Set the attributes to the given arguments

[Source]

         # File lib/sequel/sql.rb, line 576
    576:       def initialize(f, *args)
    577:         @f, @args = f, args
    578:       end

### Public Instance methods

==(x)

Functions are considered equivalent if they have the same class, function, and arguments.

[Source]

         # File lib/sequel/sql.rb, line 582
    582:       def ==(x)
    583:          x.class == self.class && @f == x.f && @args == x.args
    584:       end

[Validate]